Why a company scores what it scores
curl --request GET \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company": {
"company_id": 123,
"sessions": 123,
"pages": 123,
"duration": 123,
"unique_visitors": 123,
"active_days": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"sessions_total": 123,
"pages_total": 123,
"duration_total": 123,
"is_new": true,
"is_returning": true,
"lead_score": 123,
"engagement_score": 123,
"engagement_tier": "cold",
"name": "<string>",
"domain": "<string>",
"website_url": "<string>",
"country": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"employee_range": "<string>",
"employees": 123,
"branch_code": 123,
"branch_local": "<string>",
"branch_international": "<string>",
"legal_form": "<string>",
"sales_volume": 123,
"founding_date": "2023-12-25",
"linkedin": "<string>",
"logo": "<string>",
"last_source": "<string>",
"last_medium": "<string>",
"visitors": 0,
"persona_visitors": 0,
"form_submissions": 0,
"leadbot_submissions": 0,
"is_ai_agent": false,
"in_crm": false,
"crm_integrations": [
"<string>"
],
"engagement_sessions": 0,
"engagement_pages": 0,
"engagement_unique_visitors": 0,
"is_shared_network": false,
"icp_score": 123,
"intent_score": 123,
"score": 0,
"score_tier": "hot",
"people_score": 123,
"score_as_of": "2023-12-25",
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"score_breakdown": [
{
"pillar": "fit",
"source": "<string>",
"weight": 123,
"value": 123,
"points": 123,
"profile": "<string>",
"matched": [
"<string>"
],
"unmatched": [
"<string>"
]
}
],
"profile_scores": {
"icp": [
{
"id": 123,
"name": "<string>",
"value": 123
}
],
"intent": [
{
"id": 123,
"name": "<string>",
"value": 123
}
],
"persona": [
{
"id": 123,
"name": "<string>",
"value": 123
}
]
}
},
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pillars": [
{
"pillar": "fit",
"source": "<string>",
"weight": 123,
"value": 123,
"points": 123,
"profile": "<string>",
"matched": [
"<string>"
],
"unmatched": [
"<string>"
]
}
],
"scoring": {
"weights": {},
"icp_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"intent_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"source": "live",
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
},
"events": [
{
"type": "<string>",
"label": "<string>",
"at": "2023-12-25",
"points": 123,
"pillar": "engagement",
"persona": "<string>",
"count": 1,
"contact_id": 123,
"detail": {},
"source": {},
"site": "<string>"
}
],
"pages": [
{
"views": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"url_pathname": "<string>",
"avg_duration_seconds": 123
}
],
"known": [
"<string>"
],
"unknown": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}traffic
Why a company scores what it scores
The unified score decomposed into its pillars (fit from the ICP Builder or the model, intent from the Intent Builder, persona-matched visitors, engagement), with the rules matched and missed, the pages viewed in the window, the observed facts and what the data cannot tell. Defaults to the 90-day engagement window.
GET
/
v1
/
trackers
/
{tracker_code}
/
companies
/
{company_id}
/
score
Why a company scores what it scores
curl --request GET \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company": {
"company_id": 123,
"sessions": 123,
"pages": 123,
"duration": 123,
"unique_visitors": 123,
"active_days": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"sessions_total": 123,
"pages_total": 123,
"duration_total": 123,
"is_new": true,
"is_returning": true,
"lead_score": 123,
"engagement_score": 123,
"engagement_tier": "cold",
"name": "<string>",
"domain": "<string>",
"website_url": "<string>",
"country": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"employee_range": "<string>",
"employees": 123,
"branch_code": 123,
"branch_local": "<string>",
"branch_international": "<string>",
"legal_form": "<string>",
"sales_volume": 123,
"founding_date": "2023-12-25",
"linkedin": "<string>",
"logo": "<string>",
"last_source": "<string>",
"last_medium": "<string>",
"visitors": 0,
"persona_visitors": 0,
"form_submissions": 0,
"leadbot_submissions": 0,
"is_ai_agent": false,
"in_crm": false,
"crm_integrations": [
"<string>"
],
"engagement_sessions": 0,
"engagement_pages": 0,
"engagement_unique_visitors": 0,
"is_shared_network": false,
"icp_score": 123,
"intent_score": 123,
"score": 0,
"score_tier": "hot",
"people_score": 123,
"score_as_of": "2023-12-25",
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"score_breakdown": [
{
"pillar": "fit",
"source": "<string>",
"weight": 123,
"value": 123,
"points": 123,
"profile": "<string>",
"matched": [
"<string>"
],
"unmatched": [
"<string>"
]
}
],
"profile_scores": {
"icp": [
{
"id": 123,
"name": "<string>",
"value": 123
}
],
"intent": [
{
"id": 123,
"name": "<string>",
"value": 123
}
],
"persona": [
{
"id": 123,
"name": "<string>",
"value": 123
}
]
}
},
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"pillars": [
{
"pillar": "fit",
"source": "<string>",
"weight": 123,
"value": 123,
"points": 123,
"profile": "<string>",
"matched": [
"<string>"
],
"unmatched": [
"<string>"
]
}
],
"scoring": {
"weights": {},
"icp_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"intent_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"source": "live",
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
},
"events": [
{
"type": "<string>",
"label": "<string>",
"at": "2023-12-25",
"points": 123,
"pillar": "engagement",
"persona": "<string>",
"count": 1,
"contact_id": 123,
"detail": {},
"source": {},
"site": "<string>"
}
],
"pages": [
{
"views": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"url_pathname": "<string>",
"avg_duration_seconds": 123
}
],
"known": [
"<string>"
],
"unknown": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response
